Negócios e Finanças

Negócios e Finanças

Serviços de informação empresarial e financeira.


Debt (Dívidas Autoridade Tributária/Segurança Social)

serviceName: debt

Endpoint to identify if a person is currently in debt to Segurança Social or Autoridade Tributária.It takes the persons NIF and the portal that could assume the values "AT" (Autoridade Tributária) or "SS" (Segurança Social) as inputs

Request Example

{
  "serviceName": "debt",
  "region": {
    "countryPortal": "PT",
    "jurisdictionCode": "PT"
  },
  "payload": {
    "serviceRequestBody": {
      "nif": "<value>",
      "portal": "AT"
    }
  }
}

Response Example

{
  "data": {
    "RequestId": "3498a4ca-cc55-49bd-bdce-6254006c9f31",
    "NIF": "<debtor's nif>",
    "Name": "<debtor's name>",
    "Last update": "2023-09-27",
    "TierValueGreaterThan": 25001,
    "TierValueLessThan": 50000
  }
}

Estado-Empresa (Estado da Empresa)

serviceName: estado-empresa

The Estado-Empresais a digital document that assesses the company's status. This endpoint allows you to consult Publicações de Atos Societários e de outras entidades.

Request Example

{
  "serviceName": "estado-empresa",
  "region": {
    "countryPortal": "PT",
    "jurisdictionCode": "PT"
  },
  "payload": {
    "serviceRequestBody": {
      "nipc": "500004285"
    }
  }
}

Response Example

{
  "data": {
    "Date": "2009-01-20",
    "NIPC": "500004285",
    "Entity": "Company name LDA",
    "County": "Lisboa",
    "Act/Fact": "DISSOLUÇÃO E ENCERRAMENTO DA LIQUIDAÇÃO NA SEQUÊNCIA DE PROCESSO ADMINISTRATIVO",
    "Status": "Liquidada",
    "Code": "003"
  }
}

IES (Informação Empresarial Simplificada)

serviceName: ies

This endpoint allows you to consult IES (Informação Empresarial Simplificada).

Response Example

{
  "data": {
    "anexoA": {
      "q0101_nif": 5.789547,
      "q0102_exercicio": "2023",
      "q03_A5001": 78451202.82,
      "q03_A5007": 5451202.43,
      "q03_A5008": 4782112.78,
      "q03_A5016": 55.16,
      "q03_A5017": -21185.55,
      "q03_A5020": -21185.55,
      "q03_A5023": -21185.55,
      "q03_A5024": 3886.82,
      "q03_A5025": -25072.37,
      "q04_A5101": 20489.01,
      "q04_A5109": 10993.49,
      "q04_A5112": 31482.5,
      "q04_A5115": 94214.54,
      "q04_A5117": 78965412.68,
      "q04_A5119": 66247852.13,
      "q04_A5125": 888.56,
      "q04_A5126": 78784.91,
      "q04_A5127": 149726.41,
      "q04_A5128": 5000.0,
      "q04_A5132": 543.53,
      "q04_A5134": 20805.74,
      "q04_A5138": 26349.27,
      "q04_A5139": -25072.37,
      "q04_A5141": 1276.9,
      "q04_A5147": 0.0,
      "q04_A5148": 28.51,
      "q04_A5150": 7239.9,
      "q04_A5152": 500.0,
      "q04_A5153": 140681.1,
      "q04_A5159": 78965.51,
      "q04_A5160": 852.51,
      "q04_A5161": 888.41,
      "q05291_A6012": 68.0,
      "q05291_A6013": 86.0,
      "q05291_A6014": 0.0,
      "q05291_A6015": 76.0,
      "q05291_A6016": 8.0,
      "q05291_A6017": 0.0,
      "q05291_A6018": 7.0,
      "q05291_A6019": 4.0,
      "q05291_A6020": 1.0,
      "q05291_A6021": 0.0,
      "q05291_A6022": 0.0,
      "q05291_A6023": 0.0
    },
    "anexoRSNC": {
      "q031": 1.0,
      "q032": 0.0,
      "q04ALista": {
        "q04ALinha": [
          {
            "q04A1": "620",
            "q04A21": "Avenida da Graça n.º 888 RC Esq.º",
            "q04A2SedeCodPostal": "7896",
            "q04A2SedeUniFuncional": "1489",
            "q04A23": "Lisboa",
            "q04A24": "78",
            "q04A25": "06",
            "q04A26": "66",
            "q04A28": 9.785522,
            "q04A29": "[email protected]",
            "q04A210": "02",
            "q04A211": "Forum Web",
            "q04A212": "444",
            "q04A213": 1.0,
            "q04A21415": true
          }
        ]
      }
    },
    "rosto": {
      "q01Ano": 2021.0,
      "q03Name": "Results New, Lda",
      "q03Nif": 5.7879421
    }
  }
}

NifName (Número Fiscal e Nome)

serviceName: nifName

This endpoint allows querying the NIF and the associated name.

Request Example

{
  "serviceName": "nifName",
  "region": {
    "countryPortal": "PT",
    "jurisdictionCode": "PT"
  },
  "payload": {
    "serviceRequestBody": {
      "nif": "<valid nif>",
      "service": [
        "IDENTITY"
      ],
      "testResponse": "NOACTIVITY"
    }
  }
}

Response Example

{
  "data": {
    "requestid": "cf142299-c331-4d37-b933-a9ccd9edb724",
    "nif": "<valid nif>",
    "name": null,
    "cod_financas": null,
    "desc_financas": null,
    "act_css_iva": null,
    "act_css_irs": null,
    "inclusion_iva": null,
    "situation": null,
    "activity_message": null,
    "message": "Nif without activity registered"
  }
}

Responsabilidade Crédito

serviceName: responsabilidade-credito

This endpoint returns a document about the Responsabilidade Crédito.

Request Example

{
  "serviceName": "responsabilidade-credito",
  "region": {
    "countryPortal": "PT",
    "jurisdictionCode": "PT"
  },
  "payload": {
    "serviceRequestBody": {
      "user": "test",
      "password": "test",
      "year": "2022",
      "month": "november"
    }
  }
}

Response Example

{
  "data": {
    "requestId": "73f89c31-3da5-4d79-9e38-9fe7d0876f2d",
    "withoutCreditResponsibility": false,
    "summary": {
      "nif": "test",
      "name": "Person Name",
      "creditResponsibilityJoint": {
        "homeLoan": {
          "inDebtAmount": 125000.35,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 2
        },
        "relatedLoan": {
          "inDebtAmount": 3500.5,
          "nonCompliantAmount": 50,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "personalLoan": {
          "inDebtAmount": 7200.75,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "financialLeasing": {
          "inDebtAmount": 18000.9,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "carLoanExcludingFinancialLeasing": {
          "inDebtAmount": 15000,
          "nonCompliantAmount": 300,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "otherLoans": {
          "Example of other loan 1": {
            "inDebtAmount": 2200.5,
            "nonCompliantAmount": 0,
            "potentialAmount": 0,
            "numberOfProducts": 2,
            "productsWithGuarantee": 0
          },
          "Example of other loan 2": {
            "inDebtAmount": 1800.75,
            "nonCompliantAmount": 0,
            "potentialAmount": 0,
            "numberOfProducts": 2,
            "productsWithGuarantee": 0
          }
        },
        "loanOverrun": {
          "inDebtAmount": 900.25,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "overdraftFacility": {
          "inDebtAmount": 1200,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "creditCard": {
          "inDebtAmount": 1500.25,
          "nonCompliantAmount": 75,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "creditCardWithFreeFloat": {
          "inDebtAmount": 800,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "creditCardWithoutFreeFloat": {
          "inDebtAmount": 950,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "deferredDebitCard": {
          "inDebtAmount": 500,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "revolvingCredit": {
          "inDebtAmount": 2000,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "nonRevolvingCredit": {
          "inDebtAmount": 1800,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "totalLoan": {
          "inDebtAmount": 182354.25,
          "nonCompliantAmount": 425,
          "potentialAmount": 0,
          "numberOfProducts": 30,
          "productsWithGuarantee": 2,
          "isNonCompliantAmountFromCreditCard": false
        }
      },
      "creditResponsibilityIndividual": {
        "homeLoan": {
          "inDebtAmount": 62000.2,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 2
        },
        "relatedLoan": {
          "inDebtAmount": 1750.25,
          "nonCompliantAmount": 25,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "personalLoan": {
          "inDebtAmount": 3600.35,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "financialLeasing": {
          "inDebtAmount": 9000.45,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "carLoanExcludingFinancialLeasing": {
          "inDebtAmount": 7500,
          "nonCompliantAmount": 150,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "otherLoans": {
          "Example of other loan 1": {
            "inDebtAmount": 1100.25,
            "nonCompliantAmount": 0,
            "potentialAmount": 0,
            "numberOfProducts": 1,
            "productsWithGuarantee": 0
          },
          "Example of other loan 2": {
            "inDebtAmount": 900.375,
            "nonCompliantAmount": 0,
            "potentialAmount": 0,
            "numberOfProducts": 1,
            "productsWithGuarantee": 0
          }
        },
        "loanOverrun": {
          "inDebtAmount": 450.125,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "overdraftFacility": {
          "inDebtAmount": 600,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "creditCard": {
          "inDebtAmount": 750.125,
          "nonCompliantAmount": 37.5,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "creditCardWithFreeFloat": {
          "inDebtAmount": 400,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "creditCardWithoutFreeFloat": {
          "inDebtAmount": 475,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "deferredDebitCard": {
          "inDebtAmount": 250,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "revolvingCredit": {
          "inDebtAmount": 1000,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "nonRevolvingCredit": {
          "inDebtAmount": 900,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "totalLoan": {
          "inDebtAmount": 90677.125,
          "nonCompliantAmount": 212.5,
          "potentialAmount": 0,
          "numberOfProducts": 15,
          "productsWithGuarantee": 2,
          "isNonCompliantAmountFromCreditCard": false
        }
      },
      "financialInstitutionsAndProducts": {
        "numberOfInstitutionsReportingInformation": 5,
        "numberOfInstitutionsReportingNonCompliance": 1,
        "totalNumberOfFinancialProductsReported": 30
      }
    },
    "homeLoan": [
      {
        "startDate": "2015-11-11",
        "endDate": "2047-01-24",
        "numberDebtors": 1,
        "totalDebt": 62000.2,
        "nonCompliantAmount": 0,
        "overdueAmount": 0,
        "activeWriteOff": 0,
        "potentialAmount": 0,
        "installment": 435.25,
        "guarantees": [
          {
            "type": "0100",
            "value": 51000.5,
            "number": "1"
          }
        ]
      },
      {
        "startDate": "2015-11-11",
        "endDate": "2047-01-24",
        "numberDebtors": 2,
        "totalDebt": 125000.35,
        "nonCompliantAmount": 0,
        "overdueAmount": 0,
        "activeWriteOff": 0,
        "potentialAmount": 0,
        "installment": 870.5,
        "guarantees": null
      }
    ],
    "carLoan": [
      {
        "startDate": "2021-04-27",
        "endDate": "2032-10-30",
        "numberDebtors": 1,
        "totalDebt": 7500,
        "nonCompliantAmount": 150,
        "overdueAmount": 0,
        "activeWriteOff": 0,
        "potentialAmount": 0,
        "installment": 125,
        "guarantees": null
      },
      {
        "startDate": "2021-04-27",
        "endDate": "2032-10-30",
        "numberDebtors": 2,
        "totalDebt": 15000,
        "nonCompliantAmount": 300,
        "overdueAmount": 0,
        "activeWriteOff": 0,
        "potentialAmount": 0,
        "installment": 250,
        "guarantees": null
      }
    ],
    "financialLeasing": [
      {
        "startDate": "2019-03-15",
        "endDate": "2024-03-15",
        "numberDebtors": 1,
        "totalDebt": 9000.45,
        "nonCompliantAmount": null,
        "overdueAmount": null,
        "activeWriteOff": null,
        "potentialAmount": null,
        "installment": 160,
        "guarantees": null
      },
      {
        "startDate": "2019-03-15",
        "endDate": "2024-03-15",
        "numberDebtors": 2,
        "totalDebt": 18000.9,
        "nonCompliantAmount": null,
        "overdueAmount": null,
        "activeWriteOff": null,
        "potentialAmount": null,
        "installment": 320,
        "guarantees": null
      }
    ],
    "otherLoans": {
      "Crédito não renovável": [
        {
          "startDate": "2021-01-01",
          "endDate": "9999-12-31",
          "numberDebtors": 1,
          "totalDebt": 900,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        },
        {
          "startDate": "2021-01-01",
          "endDate": "9999-12-31",
          "numberDebtors": 2,
          "totalDebt": 1800,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        }
      ],
      "Cartão de crédito - sem período de free-float": [
        {
          "startDate": "2017-06-01",
          "endDate": "9999-12-31",
          "numberDebtors": 1,
          "totalDebt": 475,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        },
        {
          "startDate": "2017-06-01",
          "endDate": "9999-12-31",
          "numberDebtors": 2,
          "totalDebt": 950,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        }
      ],
      "Cartão de crédito - cartão de débito diferido": [
        {
          "startDate": "2018-05-01",
          "endDate": "9999-12-31",
          "numberDebtors": 1,
          "totalDebt": 250,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        },
        {
          "startDate": "2018-05-01",
          "endDate": "9999-12-31",
          "numberDebtors": 2,
          "totalDebt": 500,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        }
      ],
      "Cartão de crédito - com período de free-float": [
        {
          "startDate": "2017-11-05",
          "endDate": "9999-12-31",
          "numberDebtors": 1,
          "totalDebt": 235.55,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        },
        {
          "startDate": "2019-08-15",
          "endDate": "9999-12-31",
          "numberDebtors": 2,
          "totalDebt": 778.11,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        }
      ],
      "Facilidades de descoberto - com domiciliação de ordenado e prazo de reembolso igual ou inferior a um": [
        {
          "startDate": "2016-03-25",
          "endDate": "9999-12-31",
          "numberDebtors": 1,
          "totalDebt": 600,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        },
        {
          "startDate": "2016-03-25",
          "endDate": "9999-12-31",
          "numberDebtors": 2,
          "totalDebt": 1200,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        }
      ],
      "Crédito renovável": [
        {
          "startDate": "2020-01-01",
          "endDate": "9999-12-31",
          "numberDebtors": 1,
          "totalDebt": 1000,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        },
        {
          "startDate": "2020-01-01",
          "endDate": "9999-12-31",
          "numberDebtors": 2,
          "totalDebt": 2000,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        }
      ]
    },
    "personalLoan": [
      {
        "startDate": "2020-05-01",
        "endDate": "2025-05-01",
        "numberDebtors": 1,
        "totalDebt": 3600.35,
        "nonCompliantAmount": 0,
        "overdueAmount": null,
        "activeWriteOff": null,
        "potentialAmount": null,
        "installment": 72.5,
        "guarantees": null
      },
      {
        "startDate": "2020-05-01",
        "endDate": "2025-05-01",
        "numberDebtors": 2,
        "totalDebt": 7200.75,
        "nonCompliantAmount": 0,
        "overdueAmount": null,
        "activeWriteOff": null,
        "potentialAmount": null,
        "installment": 145,
        "guarantees": null
      }
    ],
    "relatedLoan": [
      {
        "startDate": "2018-06-10",
        "endDate": "2023-06-10",
        "numberDebtors": 1,
        "totalDebt": 1750.25,
        "nonCompliantAmount": 25,
        "overdueAmount": null,
        "activeWriteOff": null,
        "potentialAmount": null,
        "installment": 37.5,
        "guarantees": null
      },
      {
        "startDate": "2018-06-10",
        "endDate": "2023-06-10",
        "numberDebtors": 2,
        "totalDebt": 3500.5,
        "nonCompliantAmount": 50,
        "overdueAmount": null,
        "activeWriteOff": null,
        "potentialAmount": null,
        "installment": 75,
        "guarantees": null
      }
    ]
  },
  "file": "<encoded base64 pdf>"
}

Responsabilidade Crédito Details

serviceName: responsabilidade-credito-details

This endpoint returns a document about the Responsabilidade Crédito.

Request Example

{
  "serviceName": "responsabilidade-credito-details",
  "region": {
    "countryPortal": "PT",
    "jurisdictionCode": "PT"
  },
  "payload": {
    "serviceRequestBody": {
      "user": "test",
      "password": "test",
      "year": "2022",
      "month": "november"
    }
  }
}

Response Example

{
  "data": {
    "requestId": "73f89c31-3da5-4d79-9e38-9fe7d0876f2d",
    "withoutCreditResponsibility": false,
    "summary": {
      "nif": "test",
      "name": "Person Name",
      "creditResponsibilityJoint": {
        "homeLoan": {
          "inDebtAmount": 125000.35,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 2
        },
        "relatedLoan": {
          "inDebtAmount": 3500.5,
          "nonCompliantAmount": 50,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "personalLoan": {
          "inDebtAmount": 7200.75,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "financialLeasing": {
          "inDebtAmount": 18000.9,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "carLoanExcludingFinancialLeasing": {
          "inDebtAmount": 15000,
          "nonCompliantAmount": 300,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "otherLoans": {
          "Example of other loan 1": {
            "inDebtAmount": 2200.5,
            "nonCompliantAmount": 0,
            "potentialAmount": 0,
            "numberOfProducts": 2,
            "productsWithGuarantee": 0
          },
          "Example of other loan 2": {
            "inDebtAmount": 1800.75,
            "nonCompliantAmount": 0,
            "potentialAmount": 0,
            "numberOfProducts": 2,
            "productsWithGuarantee": 0
          }
        },
        "loanOverrun": {
          "inDebtAmount": 900.25,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "overdraftFacility": {
          "inDebtAmount": 1200,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "creditCard": {
          "inDebtAmount": 1500.25,
          "nonCompliantAmount": 75,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "creditCardWithFreeFloat": {
          "inDebtAmount": 800,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "creditCardWithoutFreeFloat": {
          "inDebtAmount": 950,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "deferredDebitCard": {
          "inDebtAmount": 500,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "revolvingCredit": {
          "inDebtAmount": 2000,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "nonRevolvingCredit": {
          "inDebtAmount": 1800,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 2,
          "productsWithGuarantee": 0
        },
        "totalLoan": {
          "inDebtAmount": 182354.25,
          "nonCompliantAmount": 425,
          "potentialAmount": 0,
          "numberOfProducts": 30,
          "productsWithGuarantee": 2,
          "isNonCompliantAmountFromCreditCard": false
        }
      },
      "creditResponsibilityIndividual": {
        "homeLoan": {
          "inDebtAmount": 62000.2,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 2
        },
        "relatedLoan": {
          "inDebtAmount": 1750.25,
          "nonCompliantAmount": 25,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "personalLoan": {
          "inDebtAmount": 3600.35,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "financialLeasing": {
          "inDebtAmount": 9000.45,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "carLoanExcludingFinancialLeasing": {
          "inDebtAmount": 7500,
          "nonCompliantAmount": 150,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "otherLoans": {
          "Example of other loan 1": {
            "inDebtAmount": 1100.25,
            "nonCompliantAmount": 0,
            "potentialAmount": 0,
            "numberOfProducts": 1,
            "productsWithGuarantee": 0
          },
          "Example of other loan 2": {
            "inDebtAmount": 900.375,
            "nonCompliantAmount": 0,
            "potentialAmount": 0,
            "numberOfProducts": 1,
            "productsWithGuarantee": 0
          }
        },
        "loanOverrun": {
          "inDebtAmount": 450.125,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "overdraftFacility": {
          "inDebtAmount": 600,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "creditCard": {
          "inDebtAmount": 750.125,
          "nonCompliantAmount": 37.5,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "creditCardWithFreeFloat": {
          "inDebtAmount": 400,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "creditCardWithoutFreeFloat": {
          "inDebtAmount": 475,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "deferredDebitCard": {
          "inDebtAmount": 250,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "revolvingCredit": {
          "inDebtAmount": 1000,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "nonRevolvingCredit": {
          "inDebtAmount": 900,
          "nonCompliantAmount": 0,
          "potentialAmount": 0,
          "numberOfProducts": 1,
          "productsWithGuarantee": 0
        },
        "totalLoan": {
          "inDebtAmount": 90677.125,
          "nonCompliantAmount": 212.5,
          "potentialAmount": 0,
          "numberOfProducts": 15,
          "productsWithGuarantee": 2,
          "isNonCompliantAmountFromCreditCard": false
        }
      },
      "financialInstitutionsAndProducts": {
        "numberOfInstitutionsReportingInformation": 5,
        "numberOfInstitutionsReportingNonCompliance": 1,
        "totalNumberOfFinancialProductsReported": 30
      }
    },
    "homeLoan": [
      {
        "startDate": "2015-11-11",
        "endDate": "2047-01-24",
        "numberDebtors": 1,
        "totalDebt": 62000.2,
        "nonCompliantAmount": 0,
        "overdueAmount": 0,
        "activeWriteOff": 0,
        "potentialAmount": 0,
        "installment": 435.25,
        "guarantees": [
          {
            "type": "0100",
            "value": 51000.5,
            "number": "1"
          }
        ]
      },
      {
        "startDate": "2015-11-11",
        "endDate": "2047-01-24",
        "numberDebtors": 2,
        "totalDebt": 125000.35,
        "nonCompliantAmount": 0,
        "overdueAmount": 0,
        "activeWriteOff": 0,
        "potentialAmount": 0,
        "installment": 870.5,
        "guarantees": null
      }
    ],
    "carLoan": [
      {
        "startDate": "2021-04-27",
        "endDate": "2032-10-30",
        "numberDebtors": 1,
        "totalDebt": 7500,
        "nonCompliantAmount": 150,
        "overdueAmount": 0,
        "activeWriteOff": 0,
        "potentialAmount": 0,
        "installment": 125,
        "guarantees": null
      },
      {
        "startDate": "2021-04-27",
        "endDate": "2032-10-30",
        "numberDebtors": 2,
        "totalDebt": 15000,
        "nonCompliantAmount": 300,
        "overdueAmount": 0,
        "activeWriteOff": 0,
        "potentialAmount": 0,
        "installment": 250,
        "guarantees": null
      }
    ],
    "financialLeasing": [
      {
        "startDate": "2019-03-15",
        "endDate": "2024-03-15",
        "numberDebtors": 1,
        "totalDebt": 9000.45,
        "nonCompliantAmount": null,
        "overdueAmount": null,
        "activeWriteOff": null,
        "potentialAmount": null,
        "installment": 160,
        "guarantees": null
      },
      {
        "startDate": "2019-03-15",
        "endDate": "2024-03-15",
        "numberDebtors": 2,
        "totalDebt": 18000.9,
        "nonCompliantAmount": null,
        "overdueAmount": null,
        "activeWriteOff": null,
        "potentialAmount": null,
        "installment": 320,
        "guarantees": null
      }
    ],
    "otherLoans": {
      "Crédito não renovável": [
        {
          "startDate": "2021-01-01",
          "endDate": "9999-12-31",
          "numberDebtors": 1,
          "totalDebt": 900,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        },
        {
          "startDate": "2021-01-01",
          "endDate": "9999-12-31",
          "numberDebtors": 2,
          "totalDebt": 1800,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        }
      ],
      "Cartão de crédito - sem período de free-float": [
        {
          "startDate": "2017-06-01",
          "endDate": "9999-12-31",
          "numberDebtors": 1,
          "totalDebt": 475,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        },
        {
          "startDate": "2017-06-01",
          "endDate": "9999-12-31",
          "numberDebtors": 2,
          "totalDebt": 950,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        }
      ],
      "Cartão de crédito - cartão de débito diferido": [
        {
          "startDate": "2018-05-01",
          "endDate": "9999-12-31",
          "numberDebtors": 1,
          "totalDebt": 250,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        },
        {
          "startDate": "2018-05-01",
          "endDate": "9999-12-31",
          "numberDebtors": 2,
          "totalDebt": 500,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        }
      ],
      "Cartão de crédito - com período de free-float": [
        {
          "startDate": "2017-11-05",
          "endDate": "9999-12-31",
          "numberDebtors": 1,
          "totalDebt": 235.55,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        },
        {
          "startDate": "2019-08-15",
          "endDate": "9999-12-31",
          "numberDebtors": 2,
          "totalDebt": 778.11,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        }
      ],
      "Facilidades de descoberto - com domiciliação de ordenado e prazo de reembolso igual ou inferior a um": [
        {
          "startDate": "2016-03-25",
          "endDate": "9999-12-31",
          "numberDebtors": 1,
          "totalDebt": 600,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        },
        {
          "startDate": "2016-03-25",
          "endDate": "9999-12-31",
          "numberDebtors": 2,
          "totalDebt": 1200,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        }
      ],
      "Crédito renovável": [
        {
          "startDate": "2020-01-01",
          "endDate": "9999-12-31",
          "numberDebtors": 1,
          "totalDebt": 1000,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        },
        {
          "startDate": "2020-01-01",
          "endDate": "9999-12-31",
          "numberDebtors": 2,
          "totalDebt": 2000,
          "nonCompliantAmount": null,
          "overdueAmount": null,
          "activeWriteOff": null,
          "potentialAmount": null,
          "installment": null,
          "guarantees": null
        }
      ]
    },
    "personalLoan": [
      {
        "startDate": "2020-05-01",
        "endDate": "2025-05-01",
        "numberDebtors": 1,
        "totalDebt": 3600.35,
        "nonCompliantAmount": 0,
        "overdueAmount": null,
        "activeWriteOff": null,
        "potentialAmount": null,
        "installment": 72.5,
        "guarantees": null
      },
      {
        "startDate": "2020-05-01",
        "endDate": "2025-05-01",
        "numberDebtors": 2,
        "totalDebt": 7200.75,
        "nonCompliantAmount": 0,
        "overdueAmount": null,
        "activeWriteOff": null,
        "potentialAmount": null,
        "installment": 145,
        "guarantees": null
      }
    ],
    "relatedLoan": [
      {
        "startDate": "2018-06-10",
        "endDate": "2023-06-10",
        "numberDebtors": 1,
        "totalDebt": 1750.25,
        "nonCompliantAmount": 25,
        "overdueAmount": null,
        "activeWriteOff": null,
        "potentialAmount": null,
        "installment": 37.5,
        "guarantees": null
      },
      {
        "startDate": "2018-06-10",
        "endDate": "2023-06-10",
        "numberDebtors": 2,
        "totalDebt": 3500.5,
        "nonCompliantAmount": 50,
        "overdueAmount": null,
        "activeWriteOff": null,
        "potentialAmount": null,
        "installment": 75,
        "guarantees": null
      }
    ]
  },
  "file": "<encoded base64 pdf>"
}